% SPCONST   Create a DIFFOP set of constants.
%   V = SPCONST(C, n) creates an affine operator that maps an n-dimensional
%   input into the numeric constant array C.
%   
%   See also SPVAR, SPEXPR
function result = spconst(varargin)

%
% DIFFOP - generator for constant expressions
%
% Copyright (c) 2014 Jan Lellmann (J.Lellmann@damtp.cam.ac.uk) / Cambridge Image Analysis
%
% This file is part of the DIFFOP library. DIFFOP may be used for
% non-commercial purposes, and may be freely modified and distributed
% as long as this copyright notice is retained. Use of DIFFOP in a
% commercial environment requires explicit written permission.
%

    narginchk(2,2);
    
    result = spexpr('const',varargin{:});
end
