% SPVAR     Create a DIFFOP set of variables.
%   V = SPVAR([n 1]) creates a one-dimensional array of variables.
%
%   V = SPVAR([n m]) creates a two-dimensional array of variables.
%
%   V = SPVAR(DIMS) creates a multi-dimensional array of variables with
%   dimensions DIMS, where DIMS is a one-dimensional numeric array as
%   returned by SIZE.
%
%   See also SPCONST, SPEXPR
function result = spvar(varargin)

%
% DIFFOP - generator for variables
%
% Copyright (c) 2014 Jan Lellmann (J.Lellmann@damtp.cam.ac.uk) / Cambridge Image Analysis
%
% This file is part of the DIFFOP library. DIFFOP may be used for
% non-commercial purposes, and may be freely modified and distributed
% as long as this copyright notice is retained. Use of DIFFOP in a
% commercial environment requires explicit written permission.
%   

    narginchk(1,1);
    
    result = spexpr('var',varargin{:});
end
